package com.njcn.product.event.transientes.service;

import com.njcn.event.file.pojo.dto.WaveDataDTO;
import com.njcn.product.event.transientes.pojo.dto.MessaeDTO;
import com.njcn.product.event.transientes.pojo.param.MonitorTerminalParam;

import java.util.List;

public interface EventGateService {


    /**
     * 功能描述: 暂态事件波形分析
     * @param param
     * @return
     */
    WaveDataDTO getTransientAnalyseWave(MonitorTerminalParam param);

    MessaeDTO messageGenerate(String eventId);

    MessaeDTO msgGenerateByMsg(String msg);

    MessaeDTO messageGenerateByIds(List<String> eventIds);
}
